
@media (min-width: 901px) and (max-width: 1200px) {
  .emi-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .suggested-grid {
    grid-template-columns: repeat(3, minmax(160px, 1fr));
  }

  .calc-notes,
  .calc-faq {
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    padding-left: 30px;
    padding-right: 30px;
  }
  .calc-page {
    padding: 23px;
    margin-top: 2%;
  }
  .calc-title-row h2 {
    margin-bottom: 0;
    font-size: 32px;
}
.calc-layout {
    margin-top: 17px;
    grid-template-columns: minmax(0, 1fr) minmax(238px, 413px);
    align-items: unset;
    gap: 14px;
}
  .results-card {
    margin-top: 0;
  }
  .results {
    grid-template-columns: repeat(3, minmax(160px, 148px));
    gap: 16px;
    place-content: center;
    place-items: center;
}
  .calc-notes {
    padding: 41px 40px 10px 20px;
  }
  .calc-faq h2 {
    font-size: 28px;
  }
  .faq-item .summary {
    font-size: 18px;
  
  }
  .note-card h3 {
    font-size: 26px;
  }
  
  .calc-notes h3 {
    font-size: 26px
  }
  .calc-notes h2 {
    font-size: 27px;
  }
  
  
  
}

@media (min-width: 769px) and (max-width: 900px) {
    
    .calc-page {
    padding: 35px 20px;
    margin-top: unset;
    }
    .yearly-chart-card {
    margin-top: 15px;
    }
    .calc-notes .sec-big-title {
    margin: 2px 0 8px;
    font-size: 27px;
}
  .emi-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 22px 20px;
  }
  
  .calc-notes h4 {
    font-size: 20px;
        margin-bottom: 6px;
  }
  .tab-row {
    margin-top: 0;
  }
  .schedule-section {
    margin-top: 0;
}
.results-card {
    margin-top: 12px;
}
.schedule-section h2 {
    font-size: 19px;
    margin-top: 24px;
}
.note-card .sec-sma-title {
    font-size: 22px;
        line-height: 1.1;
}
.small-tts {
    font-size: 22px;
    margin-bottom: 17px;
}
    

.export-actions {
    justify-content: start;
    flex-wrap: wrap;
}
.calc-notes h2 {
    font-size: 20px;
    margin-bottom: 10px;
} .sec-sma-title {
        font-size: 24px;
        margin-bottom: 8px;
    }
.calc-notes p {
    font-size: 16px;
        margin-bottom: 16px;
}
 p {
    font-size: 16px;
}
.calc-faq h2 {
    font-size: 19px;
    margin-bottom: 13px;
}
.faq-item .summary {
    padding: 19px 28px 19px 0;
    font-size: 17px;
}
.faq-body p {
    font-size: 15px;
}
  .results {
         gap: 13px;
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    .chart-legend {
    grid-template-columns: 1fr 1fr;
    place-content: center;
    place-items: center;
}
  .calc-layout {
    grid-template-columns: 1fr;
  }

  .suggested-grid {
    grid-template-columns: repeat(2, minmax(160px, 1fr));
  }

  .calc-notes,
  .calc-faq {
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    padding-left: 22px;
    padding-right: 22px;
  }
  .faq-item summary {
    padding: 20px 44px 20px 0;
    font-size: 17px;
  
}



}

@media (max-width: 768px) {
.field label {
    margin-bottom: 14px;
    font-size: 17px;
}

.calc-notes .sec-big-title {
    text-align: center;
    margin: 7px 0 8px;
    font-size: 18px;
}

  .calc-faq {
    margin: 23px auto 0;
  }
  .calc-title-row h2 {
    margin-bottom: 4px;
    font-size: 19px;
    text-align:center;
}
.tab-row {
margin-top: 0px; 
    display: flex;
    gap: 8px;
max-width: fit-content;
        margin: 0 auto;
}
.reset-btn {
    width: 50%;
    height: 43px;
    font-size: 15px;
    left: auto;
    margin: 0 auto;
}
.chart-canvas {
    max-width: 266px;
}


.calc-card {
    border-radius: 8px;
    padding: 16px;
}

  .back-link {
    width: 24px;
    height: 24px;
  }
  .calc-page {
    padding: 28px 13px;
  }

  .calc-page {
    margin: 0;
  }

  .emi-grid {
    grid-template-columns: 1fr;
    gap: 16px;
  }

  .slider-row {
    grid-template-columns: 1fr;
  }

  .value-box {
    justify-content: center;
    width: 100%;
  }

  .calc-layout {
    grid-template-columns: 1fr;
        margin-top: 17px;
            gap: 13px;
  }
  .dot.interest,.dot.principal {
    margin-top: -29px;
}

.results {
    display: grid;
    grid-template-columns: repeat(2, minmax(91px, 153px));
    gap: 8px;
       margin:0;
}
.schedule-section h2 {
    font-size: 18px;
    margin: 20px 0 20px;
    text-align:center;
}
.export-btn {
    font-size: 13px;
}
.calc-notes h2 {
    font-size: 18px;
    margin-bottom: 10px;
    text-align: center;
}

.yearly-chart-card h3 {
    font-size: 18px;
}
.yearly-chart-card {
    margin-top: 16px;
    padding: 18px;
}

.schedule-section {
    margin-top: 0;
}
  .yearly-chart-canvas {
    height: 260px;
  }

  .notes-grid {
    grid-template-columns: 1fr;
  }
  .chart-center strong {
    font-size: 17px;
  }

  .suggested-grid {
    grid-template-columns: 1fr;
  }
  .chart-center{
    top: 37%;
  }

  .calc-notes,
  .calc-faq {
    width: 100%;
    /*max-width: 100%;*/
    /*box-sizing: border-box;*/
    /*padding-left: 18px;*/
    /*padding-right: 18px;*/
        padding: 18px;
  }
  .calc-notes p {
    font-size: 15px;
    text-align: justify;
  }
  .calc-notes .note-card {
    padding: 8px 0 0px;
}
  .calc-notes .key-difference {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
        width: 100%;
           padding: 10px 0;
    }
.note-card .sec-sma-title {
    font-size: 18px;
    line-height: 1.2;
    letter-spacing: normal;
    margin-bottom: 12px;
}   
.calc-notes h4 {
    font-size: 16px;
    margin-bottom: 6px;
}
.calc-page .blg-table.key-difference {
    margin: 4px 0;
}
.sec-sma-title{
    font-size: 18px;
        line-height: 1.1;
}
.small-tts {
    font-size: 17px;
    margin-bottom: 8px;
    margin-top: -7px;
}
    
   .calc-faq h2 {
    font-size: 17px;
} 
.faq-body p {
    font-size: 15px;
}
.faq-item summary {
          padding: 17px 31px 20px 0;
        font-size: 16px;
        font-weight: 600;
    }
    
.table-pagination {
    margin: 14px 0;
}
.calc-notes h2::after {
    margin: 4px auto 0;
}


}